# 8. Send Customer Journal Entry Notification... Status - https://m.musicca.st/json/2/account.move/message_post POST https://graph.facebook.com/json/2/res.partner/message_post Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/royalties-payout-workflow/8-send-customer-journal-entry-notification-status-https-m-musicca-st-json-2-account-move-message-post ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /json/2/res.partner/message_post: post: operationId: >- 8-send-customer-journal-entry-notification-status-https-m-musicca-st-json-2-account-move-message-post summary: >- 8. Send Customer Journal Entry Notification... Status - https://m.musicca.st/json/2/account.move/message_post tags: - subpackage_royaltiesPayoutWorkflow responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Royalties Payout Workflow_8. Send Customer Journal Entry Notification... Status - https://m.musicca.st/json/2/account.move/message_post_Response_200 requestBody: content: application/json: schema: type: string servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: Royalties Payout Workflow_8. Send Customer Journal Entry Notification... Status - https://m.musicca.st/json/2/account.move/message_post_Response_200: type: object properties: {} description: Empty response body title: >- Royalties Payout Workflow_8. Send Customer Journal Entry Notification... Status - https://m.musicca.st/json/2/account.move/message_post_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/json/2/res.partner/message_post" payload = "{ \"ids\": [ {{id}} // ID of the res.partener id/step 1 ], \"body\": \"

66Your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\", //Positive Message //If any previous step (3,4,5,6,7) fails \"

Our team is reviewing your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don't worry, this is part of our standard procedure.

Regards,

\", // Negative Message \"subtype_xmlid\": \"mail.mt_comment\", \"partner_ids\": [ {{id}} // ID of the res.partener id/step 1 ], \"message_type\": \"comment\", \"author_id\": 2, // default \"reply_to\": \"\\"Music Cast Support\\" \", //default \"body_is_html\": true }" headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/json/2/res.partner/message_post'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '"{\n \"ids\": [\n {{id}} // ID of the res.partener id/step 1\n ],\n \"body\": \"

66Your payment request {{reference}} ({{date}}) //\'reference\' and \'date\' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\", //Positive Message\n //If any previous step (3,4,5,6,7) fails \"

Our team is reviewing your payment request {{reference}} ({{date}}) //\'reference\' and \'date\' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don\'t worry, this is part of our standard procedure.

Regards,

\", // Negative Message\n \"subtype_xmlid\": \"mail.mt_comment\",\n \"partner_ids\": [\n {{id}} // ID of the res.partener id/step 1\n ],\n \"message_type\": \"comment\",\n \"author_id\": 2, // default\n \"reply_to\": \"\\\"Music Cast Support\\\" \", //default\n \"body_is_html\": true\n}"' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/json/2/res.partner/message_post" payload := strings.NewReader("\"{\\n \\\"ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"body\\\": \\\"

66Your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\\\", //Positive Message\\n //If any previous step (3,4,5,6,7) fails \\\"

Our team is reviewing your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don't worry, this is part of our standard procedure.

Regards,

\\\", // Negative Message\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"reply_to\\\": \\\"\\\\\\\"Music Cast Support\\\\\\\" \\\", //default\\n \\\"body_is_html\\\": true\\n}\"") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/json/2/res.partner/message_post") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "\"{\\n \\\"ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"body\\\": \\\"

66Your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\\\", //Positive Message\\n //If any previous step (3,4,5,6,7) fails \\\"

Our team is reviewing your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don't worry, this is part of our standard procedure.

Regards,

\\\", // Negative Message\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"reply_to\\\": \\\"\\\\\\\"Music Cast Support\\\\\\\" \\\", //default\\n \\\"body_is_html\\\": true\\n}\"" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/json/2/res.partner/message_post") .header("Content-Type", "application/json") .body("\"{\\n \\\"ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"body\\\": \\\"

66Your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\\\", //Positive Message\\n //If any previous step (3,4,5,6,7) fails \\\"

Our team is reviewing your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don't worry, this is part of our standard procedure.

Regards,

\\\", // Negative Message\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"reply_to\\\": \\\"\\\\\\\"Music Cast Support\\\\\\\" \\\", //default\\n \\\"body_is_html\\\": true\\n}\"") .asString(); ``` ```php request('POST', 'https://graph.facebook.com/json/2/res.partner/message_post', [ 'body' => '"{\\n \\"ids\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\"body\\": \\"

66Your payment request {{reference}} ({{date}}) //\'reference\' and \'date\' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\\", //Positive Message\\n //If any previous step (3,4,5,6,7) fails \\"

Our team is reviewing your payment request {{reference}} ({{date}}) //\'reference\' and \'date\' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don\'t worry, this is part of our standard procedure.

Regards,

\\", // Negative Message\\n \\"subtype_xmlid\\": \\"mail.mt_comment\\",\\n \\"partner_ids\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\"message_type\\": \\"comment\\",\\n \\"author_id\\": 2, // default\\n \\"reply_to\\": \\"\\\\\\"Music Cast Support\\\\\\" \\", //default\\n \\"body_is_html\\": true\\n}"', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/json/2/res.partner/message_post"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "\"{\\n \\\"ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"body\\\": \\\"

66Your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\\\", //Positive Message\\n //If any previous step (3,4,5,6,7) fails \\\"

Our team is reviewing your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don't worry, this is part of our standard procedure.

Regards,

\\\", // Negative Message\\n \\\"subtype_xmlid\\\": \\\"mail.mt_comment\\\",\\n \\\"partner_ids\\\": [\\n {{id}} // ID of the res.partener id/step 1\\n ],\\n \\\"message_type\\\": \\\"comment\\\",\\n \\\"author_id\\\": 2, // default\\n \\\"reply_to\\\": \\\"\\\\\\\"Music Cast Support\\\\\\\" \\\", //default\\n \\\"body_is_html\\\": true\\n}\"", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = "{ \"ids\": [ {{id}} // ID of the res.partener id/step 1 ], \"body\": \"

66Your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}} has been successfully processed.


Your earnings are on their way. Please allow 1-5 business days for them to appear in your configured local payout method.
To check your payment status, please click here {{payout_link]].
We are very happy to work with you.

Regards,

\", //Positive Message //If any previous step (3,4,5,6,7) fails \"

Our team is reviewing your payment request {{reference}} ({{date}}) //'reference' and 'date' value from incoming json with amount {{amount // amount value from incoming json}}.


If everything is correct, your payment will be successfully processed within 1 to 5 business days to yur configured local payment method.
If we find any issues, we will contact you immediately.
Don't worry, this is part of our standard procedure.

Regards,

\", // Negative Message \"subtype_xmlid\": \"mail.mt_comment\", \"partner_ids\": [ {{id}} // ID of the res.partener id/step 1 ], \"message_type\": \"comment\", \"author_id\": 2, // default \"reply_to\": \"\\"Music Cast Support\\" \", //default \"body_is_html\": true }" as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/json/2/res.partner/message_post")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```